package com.hw.mes.domain.vo;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @Description: 五楼柜体拆分后下发任务VO对象
 * @ClassName: MesAssignTaskVo
 * @Author  : xins
 * @Date    :2024-04-11  15:40
 * @Version :1.0
 */
@Data
public class MesAssignTaskVo {

    //工位序号，代表第几个工位
    @NotNull(message = "工位序号必须输入")
    private Integer stationNo;

    //物料条码
    @NotBlank(message = "物料条码必须输入")
    private String materialBarcode;



//    //生产计划明细ID
//    @NotNull(message = "生产计划明细ID必须输入")
//    private Long planDetailId;
//
//

//
//    //数量
//    @NotNull(message = "数量必须输入")
//    private BigDecimal checkAmount;
}
